Subject: Re: ANN: Tunnelling NNCP over (ssh, sudo, tor, S3, Nextcloud, syncthing, uucp)

From: John Goerzen <[email-masked]>
Date: Fri, 20 Aug 2021 07:36:18 -0500

On Fri, Aug 20 2021, Sergey Matveev wrote:

> Greetings!
>
> *** John Goerzen [2021-08-19 22:42]:
>>https://github.com/jgoerzen/nncp-tools/blob/main/docs/tunneling.org
>
> Cool! Additionally, for COM-port/serial links I find that the 
> most easy
> way currently is to setup PPP-link, with automatically assigned 
> IPv6
> link-local addresses. http://www.nncpgo.org/PPP.html

I did read that, but now I realize it's not under "use cases" but 
rather "integration", so I've added a more explicit link to what I 
was working on.  PPP can be a pretty nice option, especially with 
VJ header compression, and I support it (along with tun/tap) on my 
xbnet radio stack at 
https://github.com/jgoerzen/xbnet/blob/master/doc/xbnet.1.md#running-tcpip-over-xbee-with-ppp

It is a nice solution!

But it does have some drawbacks:

- Often requires special privileges (root) to establish

- Carries security implications, since it can be used for more 
  than just one thing (open ports on one end can be reached by the 
  other, for instance), and thus often require firewall rules 
  which can get complicated.  That's the big one for me.  I don't 
  often want to have to deal with that level of hassle.

- Less efficient than certain UUCP protocols or ZModem for really 
  slow or half-duplex links

- John